Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.management.state
Class BaseState

    java.lang.Object
      cascading.management.state.BaseState

All Implemented Interfaces:
  CascadingService

Direct Known Subclasses:
  ClientState

    public abstract class BaseState

extends Object
implements CascadingService

Constructor Summary
`BaseState()`

Method Summary
`String` | `getID()`
`void` | `initialize(CascadingServices cascadingServices, String id)`
`boolean` | `isEnabled()` Returns true if this service has been enabled.
`protected void` | `setMetric(Enum metric, long value)`
`protected void` | `setMetric(String group, String metric, long value)`
`protected void` | `setMetric(String group, String metric, String value)`
`void` | `setProperties(Map<Object,Object> properties)`
`void` | `startService()` May be called more than once.
`void` | `stopService()` May be called more than once, but only the first invocation will stop the service.
`protected void` | `store(String id, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseState

    public BaseState()

Method Detail

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `CascadingService`
  Returns true if this service has been enabled.

  Specified by:
    `isEnabled` in interface `CascadingService`
  Returns:
    boolean

### setProperties

    public void setProperties(Map<Object,Object> properties)

  Specified by:
    `setProperties` in interface `CascadingService`

### initialize

    public void initialize(CascadingServices cascadingServices,
                           String id)

### startService

    public void startService()

  May be called more than once. Each internal service should be idempotent.

  Specified by:
    `startService` in interface `CascadingService`

### stopService

    public void stopService()

  Description copied from interface: `CascadingService`
  May be called more than once, but only the first invocation will stop the service.

  Specified by:
    `stopService` in interface `CascadingService`

### getID

    public String getID()

### store

    protected void store(String id,
                         Object value)

### setMetric

    protected void setMetric(Enum metric,
                             long value)

### setMetric

    protected void setMetric(String group,
                             String metric,
                             long value)

### setMetric

    protected void setMetric(String group,
                             String metric,
                             String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.